Ticket #39129

missing definition PAGE_TARGETS_INVALID winnt.h

Open Date: 2019-04-14 07:17 Last Update: 2019-06-08 06:29

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

I was compiling code for mingw and the code made a reference to PAGE_TARGETS_INVALID.

I found it defined here: https://docs.microsoft.com/en-us/windows/desktop/memory/memory-protection-constants

mingw-w64-headers/include/winnt.h
  #define PAGE_WRITECOMBINE 0x400
+ #define PAGE_TARGETS_INVALID 0x40000000

I looked at cygwin, but I didn't find winnt.h in their stuff.

Ticket History (3/3 Histories)

2019-04-14 07:17 Updated by: rich_coe
  • New Ticket "missing definition PAGE_TARGETS_INVALID winnt.h" created
2019-04-18 00:06 Updated by: keith
  • Resolution Update from None to Later
  • Owner Update from (None) to keith
Comment

Thanks. I notice that PAGE_TARGETS_NO_UPDATE, (which appears to have the same value), is also conspicuous by its absence. I've added both to my local copy of the WSL repository, so they'll be included in my next push, and thus, in the next WSL release.

2019-06-08 06:29 Updated by: keith
  • Details Updated
  • Resolution Update from Later to Fixed
  • Status Update from Open to Closed
Comment

I've now pushed this update to the repository; it will be included in the next release.

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login